<?php

// Page Title.
echo '<h2>' . t('Donations & Fundraising') . '</h2>';

// Campaigns.
if (!empty($campaigns)) {
  foreach ($campaigns as $campaign) {
    echo '<h3>' . $campaign->Title . '</h3>';
    echo l(t('Create a new fundraising page'), 'user/' . $account->uid . '/salsa_my_donate_page/create/' . $campaign->my_donate_page_KEY) . '<br />';
    echo l(t('View your fundraising pages'), 'user/' . $account->uid . '/salsa_my_donations/' . $campaign->my_donate_page_KEY) . '<br />';
  }
}

// Donations.
echo '<h3>' . t('Donation/Purchase History') . '</h3>';
if (!empty($donations)) {
  // @todo Object contains several codes, check to which code relates.
  $header = array(
    t('Date'),
    t('Code'),
    t('Type'),
    t('Form'),
    t('Info'),
    t('Status'),
    t('Amount'),
    t('Notes'),
  );

  $rows = array();
  foreach ($donations as $donation) {
    $rows[] = array(
      format_date(strtotime($donation->Transaction_Date)),
      $donation->Currency_Code,
      $donation->Transaction_Type,
      $donation->Form_Of_Payment,
      $donation->RESPMSG,
      $donation->Status,
      $donation->amount,
      $donation->Note,
    );
  }

  echo theme('table', array('header' => $header, 'rows' => $rows));
}
else {
  echo t('No donations ');
}

// Reccuring Donations.
echo '<h3>' . t('Recurring Donations') . '</h3>';
if (!empty($recurring_donations)) {
  // @todo Object contains several codes, check to which code relates.
  $header = array(
    t('Date'),
    t('Code'),
    t('Status'),
    t('Amount'),
    t('Start Date'),
    t('Term'),
    t('Pay Perio'),
  );

  $rows = array();  
  foreach ($recurring_donations as $recurring_donation) {
    $rows[] = array(
      format_date(strtotime($recurring_donation->Transaction_Date)),
      $recurring_donation->Tracking_Code,
      $recurring_donation->RESPMSG,
      $recurring_donation->amount,
      format_date(strtotime($recurring_donation->Start_Date)),
      $recurring_donation->TERM,
      $recurring_donation->PAYPERIOD,
    );
  }

  echo theme('table', array('header' => $header, 'rows' => $rows));
}
else {
  echo t('No recurring donations');
}
